Summary:	Set of tools which creates and checks cramfs filesytem
Summary(pl.UTF-8):	Zestaw narzędzi do tworzenia i sprawdzania systemu plików cramfs
Name:		cramfs-tools
Version:	2.1
Release:	1
License:	GPL
Group:		Base/Utilities
Source0:	https://github.com/npitre/cramfs-tools/archive/refs/tags/v%{version}.tar.gz
# Source0-md5:	d056f7a492a2e167a7d03234d1733aca
URL:		https://github.com/npitre/cramfs-tools
BuildRequires:	zlib-devel
Obsoletes:	cramfs
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sbindir	/sbin

%description
Set of tools which creates and checks cramfs filesystem.

%description -l pl.UTF-8
Zestaw narzędzi do tworzenia i sprawdzania systemu plików cramfs.

%prep
%setup -q

%build
%{__make} \
	CC="%{__cc}" \
	CFLAGS="%{rpmcppflags} %{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_sbindir}

cp -p mkcramfs cramfsck $RPM_BUILD_ROOT%{_sbindir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README NOTES
%attr(755,root,root) %{_sbindir}/*
%changelog
* Fri Feb 18 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/cramfs-tools.git;a=log;h=master

* Fri Feb 18 2022 Arkadiusz Miśkiewicz <arekm@maven.pl> eafd883
- Renamed from cramfs and updated to 2.1.

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> bf831f9
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 09eb7a9
- converted to UTF-8

* Tue May 17 2005 Jakub Bogusz <qboosh@pld-linux.org> 27cd23d
- unified sf source URL, added URL

* Tue May 17 2005 darekr <darekr@pld-linux.org> b057aa7
- fixed %files

* Wed Aug 06 2003 kloczek <kloczek@pld-linux.org> 29c424e
- może wrescie ktoś wykasuje to konto ?

* Sun Jun 22 2003 eothane <eothane@pld-linux.org> 6f87a2c
- http://belnet.sourceforge->http://dl.sourceforge

* Mon May 26 2003 Michal Moskal <michal@moskal.me> f5c141e
- massive attack: adding Source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> df12a1a
- massive attack s/pld.org.pl/pld-linux.org/

* Mon Jun 10 2002 Jakub Bogusz <qboosh@pld-linux.org> f0cb1bf
- typo, use proper CC and CFLAGS, new %%doc

* Thu Jun 06 2002 aflinta <aflinta@pld-linux.org> 2cb6ddf
- corrected binaries location

* Thu Jun 06 2002 aflinta <aflinta@pld-linux.org> 9f24c90
- initial release

